xref: /freebsd/contrib/ntp/sntp/libopts/ao-strs.c (revision a466cc55373fc3cf86837f09da729535b57e69a1)
12b15cb3dSCy Schubert /*  -*- buffer-read-only: t -*- vi: set ro:
22b15cb3dSCy Schubert  *
32b15cb3dSCy Schubert  * DO NOT EDIT THIS FILE   (ao-strs.c)
42b15cb3dSCy Schubert  *
5276da39aSCy Schubert  * It has been AutoGen-ed
62b15cb3dSCy Schubert  * From the definitions    ao-strs.def
72b15cb3dSCy Schubert  * and the template file   strings
82b15cb3dSCy Schubert  *
9*a466cc55SCy Schubert  *  Copyright (C) 2011-2018 Bruce Korb, all rights reserved.
102b15cb3dSCy Schubert  *  This is free software. It is licensed for use, modification and
112b15cb3dSCy Schubert  *  redistribution under the terms of the
122b15cb3dSCy Schubert  *  Modified (3 clause) Berkeley Software Distribution License
132b15cb3dSCy Schubert  *  <http://www.xfree86.org/3.3.6/COPYRIGHT2.html>
142b15cb3dSCy Schubert  *
152b15cb3dSCy Schubert  *  Redistribution and use in source and binary forms, with or without
162b15cb3dSCy Schubert  *  modification, are permitted provided that the following conditions
172b15cb3dSCy Schubert  *  are met:
182b15cb3dSCy Schubert  *  1. Redistributions of source code must retain the above copyright
192b15cb3dSCy Schubert  *     notice, this list of conditions and the following disclaimer.
202b15cb3dSCy Schubert  *  2. Redistributions in binary form must reproduce the above copyright
212b15cb3dSCy Schubert  *     notice, this list of conditions and the following disclaimer in the
222b15cb3dSCy Schubert  *     documentation and/or other materials provided with the distribution.
232b15cb3dSCy Schubert  *  3. Neither the name ``Bruce Korb'' nor the name of any other
242b15cb3dSCy Schubert  *     contributor may be used to endorse or promote products derived
252b15cb3dSCy Schubert  *     from this software without specific prior written permission.
262b15cb3dSCy Schubert  *
272b15cb3dSCy Schubert  *  strings IS PROVIDED BY Bruce Korb ``AS IS'' AND ANY EXPRESS
282b15cb3dSCy Schubert  *  OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
292b15cb3dSCy Schubert  *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
302b15cb3dSCy Schubert  *  ARE DISCLAIMED.  IN NO EVENT SHALL Bruce Korb OR ANY OTHER CONTRIBUTORS
312b15cb3dSCy Schubert  *  BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
322b15cb3dSCy Schubert  *  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
332b15cb3dSCy Schubert  *  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
342b15cb3dSCy Schubert  *  BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
352b15cb3dSCy Schubert  *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
362b15cb3dSCy Schubert  *  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
372b15cb3dSCy Schubert  *  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
382b15cb3dSCy Schubert  */
392b15cb3dSCy Schubert #include "ao-strs.h"
402b15cb3dSCy Schubert 
41*a466cc55SCy Schubert char const ao_strs_strtable[6714] =
422b15cb3dSCy Schubert /*     0 */ "-_^\0"
432b15cb3dSCy Schubert /*     4 */ "  %s%s\n\0"
44*a466cc55SCy Schubert /*    12 */ "<?auto-options\0"
45*a466cc55SCy Schubert /*    27 */ "<?program\0"
46*a466cc55SCy Schubert /*    37 */ "%%-%ds %%s\n\0"
47*a466cc55SCy Schubert /*    49 */ "<?program %s>\n\0"
48*a466cc55SCy Schubert /*    64 */ "\n"
492b15cb3dSCy Schubert             "%s\n\n\0"
50*a466cc55SCy Schubert /*    70 */ "=file\0"
51*a466cc55SCy Schubert /*    76 */ "=Mbr\0"
52*a466cc55SCy Schubert /*    81 */ "=Cplx\0"
53*a466cc55SCy Schubert /*    87 */ "[=arg]\0"
54*a466cc55SCy Schubert /*    94 */ "--%2$s%1$s\0"
55*a466cc55SCy Schubert /*   105 */ "=Tim\0"
56*a466cc55SCy Schubert /*   110 */ "none\0"
57*a466cc55SCy Schubert /*   115 */ "#  preset/initialization file\n"
582b15cb3dSCy Schubert             "#  %s#\n\0"
59*a466cc55SCy Schubert /*   153 */ " %3s %-14s %s\0"
60*a466cc55SCy Schubert /*   167 */ "%s\0"
61*a466cc55SCy Schubert /*   170 */ "T/F\0"
62*a466cc55SCy Schubert /*   174 */ "\n"
632b15cb3dSCy Schubert             "%s\n\n"
642b15cb3dSCy Schubert             "%s\0"
65*a466cc55SCy Schubert /*   182 */ "Fil\0"
66*a466cc55SCy Schubert /*   186 */ "KWd\0"
67*a466cc55SCy Schubert /*   190 */ "Mbr\0"
68*a466cc55SCy Schubert /*   194 */ "Cpx\0"
69*a466cc55SCy Schubert /*   198 */ "no \0"
70*a466cc55SCy Schubert /*   202 */ "Num\0"
71*a466cc55SCy Schubert /*   206 */ "opt\0"
72*a466cc55SCy Schubert /*   210 */ "YES\0"
73*a466cc55SCy Schubert /*   214 */ "Str\0"
74*a466cc55SCy Schubert /*   218 */ "Tim\0"
75*a466cc55SCy Schubert /*   222 */ "\t\t\t\t- \0"
76*a466cc55SCy Schubert /*   229 */ "\t\t\t\t  \0"
77*a466cc55SCy Schubert /*   236 */ "\t\t\t\t-- and \0"
78*a466cc55SCy Schubert /*   248 */ "\t\t\t\t%s\n\0"
79*a466cc55SCy Schubert /*   256 */ "      \0"
80*a466cc55SCy Schubert /*   263 */ "     \0"
81*a466cc55SCy Schubert /*   269 */ "   \0"
82*a466cc55SCy Schubert /*   273 */ "  \0"
83*a466cc55SCy Schubert /*   276 */ "all\0"
84*a466cc55SCy Schubert /*   280 */ " \t\n"
852b15cb3dSCy Schubert             ":=\0"
86*a466cc55SCy Schubert /*   286 */ "%s_%s_%d=\0"
87*a466cc55SCy Schubert /*   296 */ "''\0"
88*a466cc55SCy Schubert /*   299 */ "        ;;\n\n\0"
89*a466cc55SCy Schubert /*   312 */ "'\n\n\0"
90*a466cc55SCy Schubert /*   316 */ "</%s>\n\0"
91*a466cc55SCy Schubert /*   323 */ "  %s\n\0"
92*a466cc55SCy Schubert /*   329 */ "%%-%ds\0"
93*a466cc55SCy Schubert /*   336 */ "\n"
942b15cb3dSCy Schubert             "export %s_%s_%d\n\0"
95*a466cc55SCy Schubert /*   354 */ "false\0"
96*a466cc55SCy Schubert /*   360 */ "    -* )\n\0"
97*a466cc55SCy Schubert /*   370 */ "flag\0"
98*a466cc55SCy Schubert /*   375 */ "INVALID-%d\0"
99*a466cc55SCy Schubert /*   386 */ "*INVALID*\0"
100*a466cc55SCy Schubert /*   396 */ "\\n\\\n\0"
101*a466cc55SCy Schubert /*   401 */ "    --* )\n\0"
102*a466cc55SCy Schubert /*   412 */ "--\0"
103*a466cc55SCy Schubert /*   415 */ "LONGUSAGE\0"
104*a466cc55SCy Schubert /*   425 */ "            %s\n\0"
105*a466cc55SCy Schubert /*   441 */ "\\%03o\0"
106*a466cc55SCy Schubert /*   447 */ "more\0"
107*a466cc55SCy Schubert /*   452 */ "<%s type=nested>\n\0"
108*a466cc55SCy Schubert /*   470 */ "%s\n\0"
109*a466cc55SCy Schubert /*   474 */ "%s\n"
1102b15cb3dSCy Schubert             "  \0"
111*a466cc55SCy Schubert /*   480 */ "OPT_ARG_NEEDED=NO\0"
112*a466cc55SCy Schubert /*   498 */ "<%s/>\n\0"
113*a466cc55SCy Schubert /*   505 */ "OPT_ARG_NEEDED=OK\0"
114*a466cc55SCy Schubert /*   523 */ "\t\0"
115*a466cc55SCy Schubert /*   525 */ "<%s>\0"
116*a466cc55SCy Schubert /*   530 */ "option\0"
117*a466cc55SCy Schubert /*   537 */ "\n"
1182b15cb3dSCy Schubert             "export %s_%s\n\0"
119*a466cc55SCy Schubert /*   552 */ "%s_%s=\0"
120*a466cc55SCy Schubert /*   559 */ " | \0"
121*a466cc55SCy Schubert /*   563 */ "PAGER\0"
122*a466cc55SCy Schubert /*   569 */ "%1$s %2$s ; rm -f %2$s\0"
123*a466cc55SCy Schubert /*   592 */ " + \0"
124*a466cc55SCy Schubert /*   596 */ "  puts(_(%s));\n\0"
125*a466cc55SCy Schubert /*   612 */ "\\'\0"
126*a466cc55SCy Schubert /*   615 */ "'%s'\0"
127*a466cc55SCy Schubert /*   620 */ " -- %s\0"
128*a466cc55SCy Schubert /*   627 */ "%s_%s_TEXT='\0"
129*a466cc55SCy Schubert /*   640 */ "#! %s\n\0"
130*a466cc55SCy Schubert /*   647 */ "\n"
1312b15cb3dSCy Schubert             "env | grep '^%s_'\n\0"
132*a466cc55SCy Schubert /*   667 */ "=%1$lu # 0x%1$lX\n\0"
133*a466cc55SCy Schubert /*   685 */ "stdout\0"
134*a466cc55SCy Schubert /*   692 */ "%A %B %e, %Y at %r %Z\0"
135*a466cc55SCy Schubert /*   714 */ "TMPDIR\0"
136*a466cc55SCy Schubert /*   721 */ "%s/use-%u.XXXXXX\0"
137*a466cc55SCy Schubert /*   738 */ "true\0"
138*a466cc55SCy Schubert /*   743 */ "<%s type=%s>\0"
139*a466cc55SCy Schubert /*   756 */ "VERSION\0"
140*a466cc55SCy Schubert /*   764 */ "#x%02X;\0"
141*a466cc55SCy Schubert /*   772 */ "OPT_ARG_NEEDED=YES\0"
142*a466cc55SCy Schubert /*   791 */ "\n"
143*a466cc55SCy Schubert             "# %s -- %s\n\0"
144*a466cc55SCy Schubert /*   804 */ "# DEFAULT: \0"
145*a466cc55SCy Schubert /*   816 */ "'\\''\0"
146*a466cc55SCy Schubert /*   821 */ " '%s'\0"
147*a466cc55SCy Schubert /*   827 */ "libopts misguessed length of string\n\0"
148*a466cc55SCy Schubert /*   864 */ "\n"
1492b15cb3dSCy Schubert             "OPTION_CT=0\n\0"
150*a466cc55SCy Schubert /*   878 */ "set --\0"
151*a466cc55SCy Schubert /*   885 */ "/tmp\0"
152*a466cc55SCy Schubert /*   890 */ "            ;;\n\n\0"
153*a466cc55SCy Schubert /*   907 */ "        '%c' )\n\0"
154*a466cc55SCy Schubert /*   923 */ "        '%s' )\n\0"
155*a466cc55SCy Schubert /*   939 */ "        '%s' | \\\n\0"
156*a466cc55SCy Schubert /*   957 */ "<%1$s type=boolean>%2$s</%1$s>\n\0"
157*a466cc55SCy Schubert /*   989 */ "#  From the %s option definitions\n"
1582b15cb3dSCy Schubert             "#\n\0"
159*a466cc55SCy Schubert /*  1026 */ "echo 'Warning:  Cannot load options files' >&2\0"
160*a466cc55SCy Schubert /*  1073 */ "echo 'Warning:  Cannot save options files' >&2\0"
161*a466cc55SCy Schubert /*  1120 */ "echo 'Warning:  Cannot suppress the loading of options files' >&2\0"
162*a466cc55SCy Schubert /*  1186 */ "<%1$s type=integer>0x%2$lX</%1$s>\n\0"
163*a466cc55SCy Schubert /*  1221 */ "%1$s_%2$s_TEXT='no %2$s text'\n\0"
164*a466cc55SCy Schubert /*  1252 */ "%1$s_%2$s_MODE='%3$s'\n"
1652b15cb3dSCy Schubert             "export %1$s_%2$s_MODE\n\0"
166*a466cc55SCy Schubert /*  1297 */ "%1$s_%2$s='%3$s'\n"
1672b15cb3dSCy Schubert             "export %1$s_%2$s\n\0"
168*a466cc55SCy Schubert /*  1332 */ "%1$s_%2$s_CT=%3$d\n"
1692b15cb3dSCy Schubert             "export %1$s_%2$s_CT\n\0"
170*a466cc55SCy Schubert /*  1371 */ "OPTION_CT=%d\n"
1712b15cb3dSCy Schubert             "export OPTION_CT\n\0"
172*a466cc55SCy Schubert /*  1402 */ "%1$s_%2$s=%3$s\n"
1732b15cb3dSCy Schubert             "export %1$s_%2$s\n\0"
174*a466cc55SCy Schubert /*  1435 */ "%1$s_%2$s=%3$d # 0x%3$X\n"
1752b15cb3dSCy Schubert             "export %1$s_%2$s\n\0"
176*a466cc55SCy Schubert /*  1477 */ "        case \"${OPT_CODE}\" in\n\0"
177*a466cc55SCy Schubert /*  1508 */ "            if [ $%1$s_%2$s_CT -gt %3$u ] ; then\n"
1782b15cb3dSCy Schubert             "                echo 'Error:  more than %3$d %2$s options'\n"
1792b15cb3dSCy Schubert             "                echo \"$%1$s_USAGE_TEXT\"\n"
1802b15cb3dSCy Schubert             "                exit 1\n"
1812b15cb3dSCy Schubert             "            fi >&2\n\0"
182*a466cc55SCy Schubert /*  1699 */ "test ${%1$s_%2$s_CT-0} -ge %3$u || {\n"
1832b15cb3dSCy Schubert             "    echo %1$s_%2$s has not been set\n"
1842b15cb3dSCy Schubert             "    exit 1\n"
1852b15cb3dSCy Schubert             "} 1>&2\n\0"
186*a466cc55SCy Schubert /*  1791 */ "test -n \"$%1$s_%2$s\" || {\n"
1872b15cb3dSCy Schubert             "    echo %1$s_%2$s has not been set\n"
1882b15cb3dSCy Schubert             "    exit 1\n"
1892b15cb3dSCy Schubert             "} 1>&2\n\0"
190*a466cc55SCy Schubert /*  1872 */ "            echo \"$%s_%s_TEXT\"\n"
1912b15cb3dSCy Schubert             "            exit 0\n\0"
192*a466cc55SCy Schubert /*  1923 */ "\n"
1932b15cb3dSCy Schubert             "# # # # # # # # # #\n"
1942b15cb3dSCy Schubert             "#\n"
1952b15cb3dSCy Schubert             "#  END OF AUTOMATED OPTION PROCESSING\n"
1962b15cb3dSCy Schubert             "#\n"
1972b15cb3dSCy Schubert             "# # # # # # # # # # -- do not modify this marker --\n\0"
198*a466cc55SCy Schubert /*  2039 */ "    if [ -n \"${OPT_ARG_VAL}\" ]\n"
1992b15cb3dSCy Schubert             "    then\n"
2002b15cb3dSCy Schubert             "        eval %1$s_${OPT_NAME}${OPT_ELEMENT}=\"'${OPT_ARG_VAL}'\"\n"
2012b15cb3dSCy Schubert             "        export %1$s_${OPT_NAME}${OPT_ELEMENT}\n"
2022b15cb3dSCy Schubert             "    fi\n"
2032b15cb3dSCy Schubert             "done\n"
2042b15cb3dSCy Schubert             "OPTION_COUNT=`expr $ARG_COUNT - $#`\n"
2052b15cb3dSCy Schubert             "OPERAND_COUNT=$#\n"
2062b15cb3dSCy Schubert             "unset OPT_PROCESS || :\n"
2072b15cb3dSCy Schubert             "unset OPT_ELEMENT || :\n"
2082b15cb3dSCy Schubert             "unset OPT_ARG     || :\n"
2092b15cb3dSCy Schubert             "unset OPT_ARG_NEEDED || :\n"
2102b15cb3dSCy Schubert             "unset OPT_NAME    || :\n"
2112b15cb3dSCy Schubert             "unset OPT_CODE    || :\n"
2122b15cb3dSCy Schubert             "unset OPT_ARG_VAL || :\n\0"
213*a466cc55SCy Schubert /*  2418 */ "        OPT_CODE=`echo \"X${OPT_ARG}\"|sed 's/^X-*//'`\n"
2142b15cb3dSCy Schubert             "        shift\n"
2152b15cb3dSCy Schubert             "        OPT_ARG=$1\n"
2162b15cb3dSCy Schubert             "        case \"${OPT_CODE}\" in *=* )\n"
2172b15cb3dSCy Schubert             "            OPT_ARG_VAL=`echo \"${OPT_CODE}\"|sed 's/^[^=]*=//'`\n"
2182b15cb3dSCy Schubert             "            OPT_CODE=`echo \"${OPT_CODE}\"|sed 's/=.*$//'` ;; esac\n\0"
219*a466cc55SCy Schubert /*  2669 */ "        OPT_CODE=`echo \"X${OPT_ARG}\" | sed 's/X-\\(.\\).*/\\1/'`\n"
2202b15cb3dSCy Schubert             "        OPT_ARG=` echo \"X${OPT_ARG}\" | sed 's/X-.//'`\n\0"
221*a466cc55SCy Schubert /*  2786 */ "\n"
2222b15cb3dSCy Schubert             "ARG_COUNT=$#\n"
2232b15cb3dSCy Schubert             "OPT_PROCESS=true\n"
2242b15cb3dSCy Schubert             "OPT_ARG=$1\n"
2252b15cb3dSCy Schubert             "while ${OPT_PROCESS} && [ $# -gt 0 ]\n"
2262b15cb3dSCy Schubert             "do\n"
2272b15cb3dSCy Schubert             "    OPT_ELEMENT=''\n"
2282b15cb3dSCy Schubert             "    OPT_ARG_VAL=''\n\n"
2292b15cb3dSCy Schubert             "    case \"${OPT_ARG}\" in\n"
2302b15cb3dSCy Schubert             "    -- )\n"
2312b15cb3dSCy Schubert             "        OPT_PROCESS=false\n"
2322b15cb3dSCy Schubert             "        shift\n"
2332b15cb3dSCy Schubert             "        ;;\n\0"
234*a466cc55SCy Schubert /*  2993 */ "        case \"${OPT_ARG_NEEDED}\" in\n"
2352b15cb3dSCy Schubert             "        NO )\n"
2362b15cb3dSCy Schubert             "            OPT_ARG_VAL=''\n"
2372b15cb3dSCy Schubert             "            ;;\n"
2382b15cb3dSCy Schubert             "        YES )\n"
2392b15cb3dSCy Schubert             "            if [ -z \"${OPT_ARG_VAL}\" ]\n"
2402b15cb3dSCy Schubert             "            then\n"
2412b15cb3dSCy Schubert             "                if [ $# -eq 0 ]\n"
2422b15cb3dSCy Schubert             "                then\n"
2432b15cb3dSCy Schubert             "                    echo No argument provided for ${OPT_NAME} option\n"
2442b15cb3dSCy Schubert             "                    echo \"$%s_USAGE_TEXT\"\n"
2452b15cb3dSCy Schubert             "                    exit 1\n"
2462b15cb3dSCy Schubert             "                fi >&2\n"
2472b15cb3dSCy Schubert             "                OPT_ARG_VAL=${OPT_ARG}\n"
2482b15cb3dSCy Schubert             "                shift\n"
2492b15cb3dSCy Schubert             "                OPT_ARG=$1\n"
2502b15cb3dSCy Schubert             "            fi\n"
2512b15cb3dSCy Schubert             "            ;;\n"
2522b15cb3dSCy Schubert             "        OK )\n"
2532b15cb3dSCy Schubert             "            if [ -z \"${OPT_ARG_VAL}\" ] && [ $# -gt 0 ]\n"
2542b15cb3dSCy Schubert             "            then\n"
2552b15cb3dSCy Schubert             "                case \"${OPT_ARG}\" in -* ) ;; * )\n"
2562b15cb3dSCy Schubert             "                    OPT_ARG_VAL=${OPT_ARG}\n"
2572b15cb3dSCy Schubert             "                    shift\n"
2582b15cb3dSCy Schubert             "                    OPT_ARG=$1 ;; esac\n"
2592b15cb3dSCy Schubert             "            fi\n"
2602b15cb3dSCy Schubert             "            ;;\n"
2612b15cb3dSCy Schubert             "        esac\n\0"
262*a466cc55SCy Schubert /*  3772 */ "            %1$s_%2$s_CT=`expr ${%1$s_%2$s_CT} + 1`\n"
2632b15cb3dSCy Schubert             "            OPT_ELEMENT=\"_${%1$s_%2$s_CT}\"\n"
2642b15cb3dSCy Schubert             "            OPT_NAME='%2$s'\n\0"
265*a466cc55SCy Schubert /*  3896 */ "\n"
2662b15cb3dSCy Schubert             "if test -z \"${%1$s_%2$s}\"\n"
2672b15cb3dSCy Schubert             "then\n"
2682b15cb3dSCy Schubert             "  %1$s_%2$s_CT=0\n"
2692b15cb3dSCy Schubert             "  export %1$s_%2$s_CT\n"
2702b15cb3dSCy Schubert             "else\n"
2712b15cb3dSCy Schubert             "  %1$s_%2$s_CT=1\n"
2722b15cb3dSCy Schubert             "  %1$s_%2$s_1=${%1$s_%2$s}\n"
2732b15cb3dSCy Schubert             "  export %1$s_%2$s_CT %1$s_%2$s_1\n"
2742b15cb3dSCy Schubert             "fi\n\0"
275*a466cc55SCy Schubert /*  4054 */ "    * )\n"
2762b15cb3dSCy Schubert             "         OPT_PROCESS=false\n"
2772b15cb3dSCy Schubert             "         ;;\n"
2782b15cb3dSCy Schubert             "    esac\n\0"
279*a466cc55SCy Schubert /*  4111 */ "            %1$s_%2$s_CT=0\n"
2802b15cb3dSCy Schubert             "            OPT_ELEMENT=''\n"
2812b15cb3dSCy Schubert             "            %1$s_%2$s='%3$s'\n"
2822b15cb3dSCy Schubert             "            export %1$s_%2$s\n"
2832b15cb3dSCy Schubert             "            OPT_NAME='%2$s'\n\0"
284*a466cc55SCy Schubert /*  4252 */ "            if [ -n \"${%1$s_%2$s}\" ] && ${%1$s_%2$s_set} ; then\n"
2852b15cb3dSCy Schubert             "                echo 'Error:  duplicate %2$s option'\n"
2862b15cb3dSCy Schubert             "                echo \"$%1$s_USAGE_TEXT\"\n"
2872b15cb3dSCy Schubert             "                exit 1\n"
2882b15cb3dSCy Schubert             "            fi >&2\n"
2892b15cb3dSCy Schubert             "            %1$s_%2$s_set=true\n"
2902b15cb3dSCy Schubert             "            %1$s_%2$s='%3$s'\n"
2912b15cb3dSCy Schubert             "            export %1$s_%2$s\n"
2922b15cb3dSCy Schubert             "            OPT_NAME='%2$s'\n\0"
293*a466cc55SCy Schubert /*  4569 */ "\n"
2942b15cb3dSCy Schubert             "ARG_COUNT=$#\n"
2952b15cb3dSCy Schubert             "OPT_ARG=$1\n"
2962b15cb3dSCy Schubert             "while [ $# -gt 0 ]\n"
2972b15cb3dSCy Schubert             "do\n"
2982b15cb3dSCy Schubert             "    OPT_ELEMENT=''\n"
2992b15cb3dSCy Schubert             "    OPT_ARG_VAL=''\n"
3002b15cb3dSCy Schubert             "    OPT_ARG=${1}\n\0"
301*a466cc55SCy Schubert /*  4672 */ "        case \"${OPT_ARG_NEEDED}\" in\n"
3022b15cb3dSCy Schubert             "        NO )\n"
3032b15cb3dSCy Schubert             "            if [ -n \"${OPT_ARG}\" ]\n"
3042b15cb3dSCy Schubert             "            then\n"
3052b15cb3dSCy Schubert             "                OPT_ARG=-${OPT_ARG}\n"
3062b15cb3dSCy Schubert             "            else\n"
3072b15cb3dSCy Schubert             "                shift\n"
3082b15cb3dSCy Schubert             "                OPT_ARG=$1\n"
3092b15cb3dSCy Schubert             "            fi\n"
3102b15cb3dSCy Schubert             "            ;;\n"
3112b15cb3dSCy Schubert             "        YES )\n"
3122b15cb3dSCy Schubert             "            if [ -n \"${OPT_ARG}\" ]\n"
3132b15cb3dSCy Schubert             "            then\n"
3142b15cb3dSCy Schubert             "                OPT_ARG_VAL=${OPT_ARG}\n"
3152b15cb3dSCy Schubert             "            else\n"
3162b15cb3dSCy Schubert             "                if [ $# -eq 0 ]\n"
3172b15cb3dSCy Schubert             "                then\n"
3182b15cb3dSCy Schubert             "                    echo No argument provided for ${OPT_NAME} option\n"
3192b15cb3dSCy Schubert             "                    echo \"$%s_USAGE_TEXT\"\n"
3202b15cb3dSCy Schubert             "                    exit 1\n"
3212b15cb3dSCy Schubert             "                fi >&2\n"
3222b15cb3dSCy Schubert             "                shift\n"
3232b15cb3dSCy Schubert             "                OPT_ARG_VAL=$1\n"
3242b15cb3dSCy Schubert             "            fi\n"
3252b15cb3dSCy Schubert             "            shift\n"
3262b15cb3dSCy Schubert             "            OPT_ARG=$1\n"
3272b15cb3dSCy Schubert             "            ;;\n"
3282b15cb3dSCy Schubert             "        OK )\n"
3292b15cb3dSCy Schubert             "            if [ -n \"${OPT_ARG}\" ]\n"
3302b15cb3dSCy Schubert             "            then\n"
3312b15cb3dSCy Schubert             "                OPT_ARG_VAL=${OPT_ARG}\n"
3322b15cb3dSCy Schubert             "                shift\n"
3332b15cb3dSCy Schubert             "                OPT_ARG=$1\n"
3342b15cb3dSCy Schubert             "            else\n"
3352b15cb3dSCy Schubert             "                shift\n"
3362b15cb3dSCy Schubert             "                if [ $# -gt 0 ]\n"
3372b15cb3dSCy Schubert             "                then\n"
3382b15cb3dSCy Schubert             "                    case \"$1\" in -* ) ;; * )\n"
3392b15cb3dSCy Schubert             "                        OPT_ARG_VAL=$1\n"
3402b15cb3dSCy Schubert             "                        shift ;; esac\n"
3412b15cb3dSCy Schubert             "                    OPT_ARG=$1\n"
3422b15cb3dSCy Schubert             "                fi\n"
3432b15cb3dSCy Schubert             "            fi\n"
3442b15cb3dSCy Schubert             "            ;;\n"
3452b15cb3dSCy Schubert             "        esac\n\0"
346*a466cc55SCy Schubert /*  5826 */ "            echo \"$%s_LONGUSAGE_TEXT\" | ${PAGER-more}\n"
3472b15cb3dSCy Schubert             "            exit 0\n\0"
348*a466cc55SCy Schubert /*  5900 */ "%s OF %s\n"
3492b15cb3dSCy Schubert             "#\n"
3502b15cb3dSCy Schubert             "#  From here to the next `-- do not modify this marker --',\n"
3512b15cb3dSCy Schubert             "#  the text has been generated %s\n\0"
352*a466cc55SCy Schubert /*  6006 */ "            eval %1$s_%2$s${OPT_ELEMENT}=true\n"
3532b15cb3dSCy Schubert             "            export %1$s_%2$s${OPT_ELEMENT}\n\0"
354*a466cc55SCy Schubert /*  6096 */ "            if [ -n \"${%1$s_%2$s}\" ] && ${%1$s_%2$s_set} ; then\n"
3552b15cb3dSCy Schubert             "                echo 'Error:  duplicate %2$s option'\n"
3562b15cb3dSCy Schubert             "                echo \"$%1$s_USAGE_TEXT\"\n"
3572b15cb3dSCy Schubert             "                exit 1\n"
3582b15cb3dSCy Schubert             "            fi >&2\n"
3592b15cb3dSCy Schubert             "            %1$s_%2$s_set=true\n"
3602b15cb3dSCy Schubert             "            OPT_NAME='%2$s'\n\0"
361*a466cc55SCy Schubert /*  6355 */ "\n"
3622b15cb3dSCy Schubert             "%1$s_%2$s=${%1$s_%2$s-'%3$s'}\n"
3632b15cb3dSCy Schubert             "%1$s_%2$s_set=false\n"
3642b15cb3dSCy Schubert             "export %1$s_%2$s\n\0"
365*a466cc55SCy Schubert /*  6424 */ "\n"
3662b15cb3dSCy Schubert             "%1$s_%2$s=${%1$s_%2$s}\n"
3672b15cb3dSCy Schubert             "%1$s_%2$s_set=false\n"
3682b15cb3dSCy Schubert             "export %1$s_%2$s\n\0"
369*a466cc55SCy Schubert /*  6486 */ "# # # # # # # # # # -- do not modify this marker --\n"
3702b15cb3dSCy Schubert             "#\n"
3712b15cb3dSCy Schubert             "#  DO NOT EDIT THIS SECTION\n\0"
372*a466cc55SCy Schubert /*  6569 */ "        * )\n"
3732b15cb3dSCy Schubert             "            echo Unknown %s: \"${OPT_CODE}\" >&2\n"
3742b15cb3dSCy Schubert             "            echo \"$%s_USAGE_TEXT\" >&2\n"
3752b15cb3dSCy Schubert             "            exit 1\n"
3762b15cb3dSCy Schubert             "            ;;\n"
3772b15cb3dSCy Schubert             "        esac\n";
3782b15cb3dSCy Schubert 
3792b15cb3dSCy Schubert /* end of ao-strs.c */
380